Talk:Map viewers

From Terraria Wiki
Jump to: navigation, search

Mods redirect[edit source]

Right now Mods redirects here. I don't know if I consider these map viewers to be modifying the game, since it is only reading the .wld file and creating a static view of the file. While people might refer to these colloquially as "Mods," given what seems to be the official stance on game modification (http://www.terrariaonline.com/threads/mod-support-for-terraria-and-why-the-devs-should-reconsider.7458/ - only looked for a bit but couldn't find a developer saying yes/no, but it seems to be the consensus that it won't be supported), there should probably be a blurb somewhere about that. MarekkPie 18:23, 24 May 2011 (UTC)

Good point. I made Mods redirect here for the reason you mentioned: it's a starter article and currently there is no mod support for Terraria (nor indication that there will be), so this and similar utilities may be the closest thing we get. I didn't mention it because I don't have any dev quotes and I would rather not put words into their mouth. If something more suited to being called a "mod" comes out, then it would definitely be better to change that page. For now, I'll just mention that there are no "real" mods right now. --71.230.251.241 06:46, 26 May 2011 (UTC)

(untitled)[edit source]

Do not, under any circumstances, install Terraria Map Editor. The binary install link on the homepage is malware laden. It will install toolbars and spyware on your computer. Hitting cancel on the installer when it prompts you will still result in the malware being installed. MalwareBytes was able to remove it. —Preceding unsigned comment added by 108.39.249.79 (talk) at 01:01, 5 November 2013 (UTC)

Scanned the installer using both local copies of Malwarebytes and Avast!, and also virustotal. Nothing turned up any malicious software; you may have been a victim of clickjacking. 130.160.195.19 21:53, 6 June 2014 (UTC)

TEdit and 1.3 compatibility[edit source]

The OFFICIAL TEdit is not 1.3-compatible yet. This is causing people to head to the official Github to complain it's not 1.3-capable. We need to find a way to resolve this... either maybe revert or... something. As it stands, whoever made that revision is responsible for the official Github being flooded with issues about worlds failing to load when they're trying to load 1.3 worlds with the official TEdit which can only read 1.2.4 worlds. --RabblerouserGT (talk) 05:31, 28 July 2015 (UTC)

I'm honestly not sure when this change was made. I've changed the infobox to reflect that TEdit as it's known is still only compatible with 1.2.4.1 at the latest. I'm not sure if we should handle the experimental version as its own listing, or as a footnote using {{reflist}} or what. For now I'm leaving it off, as it's generally not a great idea to direct people to experimental utilities through a main wiki page. Hopefully this takes some of the pressure off your bug tracker. Gearzein (talk) 07:05, 28 July 2015 (UTC)
The reason I linked to a 1.3 compatible version of TEdit was precisely because people were already complaining about 1.3 compatibility (although much less) so in the meantime, I linked to a fork that solve this issue. I'm really sorry that even though I had removed all the links to the official TEdit GitHub/download page, the official GitHub still got flooded. That won't happen again. Lepaperwan (talk) 09:28, 28 July 2015 (UTC)
I added a second infobox for the fork along with some explanation. Don't worry Lepaperwan, it wasn't too reasonable to expect you to foresee that issue. I think we're all good now. Equazcion (talk) 10:03, 28 Jul 2015 (UTC)

Python map veiwer download link is broken[edit source]

at the moment it links to a forum post about some other game. —Preceding unsigned comment added by 76.31.137.192 (talk) at 00:07, 30 September 2018 (UTC)